import { EventEmitter2 } from 'eventemitter2';
declare type HttpVerbs = 'GET' | 'POST' | 'PUT' | 'DELETE';
interface RequestOptions {
    url: string;
    method?: HttpVerbs;
    qs?: Record<string, any>;
    body?: any;
}
export interface RequestEvent<T> {
    method: HttpVerbs;
    path: string;
    body: T;
}
export declare class WacRequest {
    emitter: EventEmitter2;
    private wapi;
    constructor(options?: {
        WebSocket?: typeof WebSocket;
    });
    init(url: string, token: string): void;
    uninit(): void;
    private onWapiEvent;
    request<T>(options: RequestOptions): Promise<T>;
    get<T>(url: string, qs?: Record<string, any>): Promise<T>;
    post<T>(url: string, qs?: Record<string, any>, body?: Record<string, any>): Promise<T>;
    put<T>(url: string, qs?: {}, body?: {}): Promise<T>;
    delete<T>(url: string, qs?: {}): Promise<T>;
}
export {};
