export declare enum AddressBookType {
    CONTACTS = "contacts",
    DOMAIN = "domain",
    PHONEBOOKS = "phonebooks",
    STATIC = "static"
}
export declare enum AddressType {
    HOME = "home",
    WORK = "work",
    OTHER = "other"
}
export interface Address {
    type: AddressType;
    value: string;
    primary: boolean;
}
export interface AddressBookContact {
    id: string;
    name: string;
    phones: Address[];
    emails: Address[];
    favorite: boolean;
    associatedUserId?: string;
}
export interface AddressBook {
    id: string;
    name: string;
    type: AddressBookType;
    contacts: AddressBookContact[];
}
